# Unit Service API

Unit and Measurement Service

```plain {% title="Client ID" %}
963f2cc6915e479fa0fcb73ec2ec90e7
```


Version: 2.0.0

## Servers

SLB Saas OSDU (SGP)
```
https://as5.api.enterprisedata.slb.com/api/unit/v2
```

SLB SaaS OSDU (BRS)
```
https://br5.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (WEU)
```
https://eu5.api.enterprisedata.slb.com/api/unit/v2
```

SLB SaaS OSDU (EUT)
```
https://eu6.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (MDE)
```
https://eu7.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (PSC)
```
https://us5.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (USC)
```
https://us7.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (WUS)
```
https://us8.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (SAS)
```
https://as6.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (SWC)
```
https://eu8.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (MYW)
```
https://as7.api.enterprisedata.slb.com/api/unit/v2
```

SLB Saas OSDU (ZAN)
```
https://za1.api.enterprisedata.slb.com/api/unit/v2
```

## Security

### bearer

User Token from SLB Authenticator Service

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Unit Service API](https://developer.slb.com/_bundle/solutions/core-service/apis/OSDU-Unit-Service-V2.yaml)

## UoM Catalog

 - [GET /catalog](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/uom-catalog/get%20catalog%20summary.md): Get the Units of Measure Catalog summary. The response contains empty lists and corresponding list counts. Use the specific endpoints to obtain the list contents as required.
 - [GET /catalog/mapstates](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/uom-catalog/get%20map%20states.md): Get the defined states for deprecation and cross-namespace mappings as defined in this catalog.
 - [GET /catalog/lastmodified](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/uom-catalog/get%20last%20modified%20date.md): Gets the last modification date of the catalog.
 - [POST /catalog/search](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/uom-catalog/search%20entire%20catalog.md): Search units, measurements, etc. by keywords. Valid keywords are: 'name', 'namespace', 'source', 'symbol', 'type' (unit parameterization type Abcd or ScaleOffset), 'ancestry', 'code', 'dimensionCode',
## Measurements

 - [GET /measurement](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/measurements/get%20measurements.md): Get all measurements defined in this catalog.
 - [POST /measurement](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/measurements/get%20measurement.md): Get a specific measurement given a persistable reference string or measurement essence structure.
 - [GET /measurement/maps](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/measurements/get%20measurement%20map%20items.md): Get the measurement maps between two namespaces as defined in this catalog.
 - [GET /measurement/{ancestry}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/measurements/get%20measurement%20by%20ancestry.md): Get a specific measurement given dot separated measurement ancestry
 - [POST /measurement/search](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/measurements/search%20measurements.md): Search measurements by keywords. Valid keywords are: 'name', 'namespace', 'source', 'ancestry', 'code', 'dimensionCode', 'unitQuantityCode', 'dimensionAnalysis', 'state', 'baseMeasurement'.
## Units

 - [GET /unit](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20units.md): Get all units defined in this catalog.
 - [POST /unit](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20unit.md): Get a specific unit instance given either a persistable reference string or unit essence JSON structure.
 - [GET /unit/maps](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20unit%20map%20items.md): Get the UnitMapItems defined between namespaces in this catalog.
 - [POST /unit/measurement/preferred](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20preferred%20units%20by%20measurement.md): Get the preferred units given a measurement persistable reference string or measurement essence JSON structure.
 - [GET /unit/measurement/preferred/{ancestry}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20preferred%20units%20by%20measurement%20ancestry.md): Get the preferred units given dot separated ancestry, e.g. Time_Per_Length.Acoustic_Slowness.
 - [GET /unit/measurement/{ancestry}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20units%20by%20measurement%20ancestry.md): Get all units given dot separated ancestry, e.g. Time_Per_Length.Acoustic_Slowness.
 - [POST /unit/measurement](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20units%20for%20measurement.md): Get all units given either a measurement's persistable reference string or a measurement essence JSON structure.
 - [GET /unit/symbol/{namespaces}/{symbol}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20unit%20by%20namespace%20and%20symbol.md): Get single, unique unit given a namespace or namespace list and a symbol. Example: namespace='LIS,RP66,ECL', symbol='F' returns the LIS Foot.
 - [GET /unit/symbol/{symbol}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/get%20units%20by%20symbol.md): Get all units given a specific symbol. Example: 'F': 'F' is defined in multiple namespaces belonging to different measurements.
 - [POST /unit/search](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/units/search%20units.md): Search units by keywords. Valid keywords are: 'name', 'namespace', 'source', 'symbol', 'type' (unit parameterization type Abcd or ScaleOffset), 'state'.
## Unit Systems

 - [POST /unit/unitsystem/{unitSystemName}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/unit-systems/get%20unit%20by%20unitsystem%20and%20measurement.md): Get a unique unit given a unit system name and a measurement persistable reference string or measurement essence Json structure. Example: Unit system: English; measurement essence: { "ancestry": "Leng
 - [GET /unit/unitsystem/{unitSystemName}/{ancestry}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/unit-systems/get%20unit%20by%20unitsystem%20and%20measurement%20ancestry.md): Get a unique unit given a unit system name and dot separated measurement ancestry, e.g. Time_Per_Length.Acoustic_Slowness.
 - [GET /unitsystem/list](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/unit-systems/get%20unitsystem%20list.md): Get all known unit systems as info (name, description, ancestry, persistableReference) as declared in this catalog.
 - [POST /unitsystem](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/unit-systems/get%20unitsystem%20by%20essence.md): Get all unit assignments for the given unit system essence.
 - [GET /unitsystem/{name}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/unit-systems/get%20unitsystem%20by%20name.md): Get all unit assignments for the given unit system.
## Conversions

 - [POST /conversion/abcd](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/conversions/get%20conversion%20as%20abcd.md): Get the Energistics style unit parameters given the 'fromUnit' and 'toUnit'. The 'fromUnit' and 'toUnit' definitions can either be passed as persistable reference strings (JSON serialized Unit essence
 - [GET /conversion/abcd/{namespaces}/{fromSymbol}/{toSymbol}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/conversions/get%20conversion%20as%20abcd%20by%20namespace%20and%20symbols.md): Get the Energistics style unit parameters given the 'from' and 'to' unit symbols and the namespace(-list) to disambiguate the unit symbols. Example for a prioritized namespaces list: 'LIS,RP66,ECL,Ene
 - [POST /conversion/scale](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/conversions/get%20conversion%20as%20scaleoffset.md): Get the scale/offset unit parameters given the 'fromUnit' and 'toUnit'. The 'fromUnit' and 'toUnit' definitions can either be passed as persistable reference strings (JSON serialized Unit essence) or
 - [GET /conversion/scale/{namespaces}/{fromSymbol}/{toSymbol}](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/conversions/get%20conversion%20as%20scaleoffset%20by%20namespace%20and%20symbols.md): Get the scale/offset unit parameters given the 'from' and 'to' unit symbols and the namespace(-list) to disambiguate the unit symbols. Example for a prioritized namespaces list: 'LIS,RP66,ECL,Energist
## Info

 - [GET /info](https://developer.slb.com/solutions/core-service/apis/osdu-unit-service-v2/info/version%20info.md): For deployment available public `/info` endpoint, which provides build and git related information.
